# typedef KeyboardEventInit

#### package js.html

Available on HTML5

### Properties

###

`altKey:Null<Bool>`

###

`bubbles:Null<Bool>`

###

`cancelable:Null<Bool>`

###

`charCode:Null<Int>`

###

`code:Null<String>`

###

`ctrlKey:Null<Bool>`

###

`detail:Null<Int>`

###

`isComposing:Null<Bool>`

###

`key:Null<String>`

###

`keyCode:Null<Int>`

###

`location:Null<Int>`

###

`metaKey:Null<Bool>`

###

`modifierAltGraph:Null<Bool>`

###

`modifierCapsLock:Null<Bool>`

###

`modifierFn:Null<Bool>`

###

`modifierFnLock:Null<Bool>`

###

`modifierNumLock:Null<Bool>`

###

`modifierOS:Null<Bool>`

###

`modifierScrollLock:Null<Bool>`

###

`modifierSymbol:Null<Bool>`

###

`modifierSymbolLock:Null<Bool>`

###

`repeat:Null<Bool>`

###

`shiftKey:Null<Bool>`

###

`view:Null<Window>`

###

`which:Null<Int>`